libosmo-sigtran: src/sccp_sap.c File Reference

libosmo-sigtran 2.2.1.95-893c Osmocom SIGTRAN library

Functions | Variables
sccp_sap.c File Reference
`#include <string.h>`
`#include <osmocom/core/utils.h>`
`#include <osmocom/core/prim.h>`
`#include <osmocom/sigtran/sccp_sap.h>`
`#include "ss7_instance.h"`
`#include "sccp_connection.h"`
`#include "sccp_scoc_fsm.h"`
`#include "sccp_internal.h"`
`#include "sccp_instance.h"`
`#include "sccp_user.h"`
`#include <osmocom/sigtran/sigtran_sap.h>`

## Functions
char * | osmo_scu_prim_name (const struct osmo_prim_hdr *oph)
int | osmo_scu_prim_hdr_name_buf (char *buf, size_t buflen, const struct osmo_prim_hdr *oph)
char * | osmo_scu_prim_hdr_name_c (void *ctx, const struct osmo_prim_hdr *oph)
char * | osmo_xlm_prim_name (struct osmo_prim_hdr *oph)
static uint32_t | scu_prim_conn_id (const struct osmo_scu_prim *prim)
int | osmo_sccp_user_sap_down_nofree (struct osmo_sccp_user *scu, struct osmo_prim_hdr *oph)
| Main entrance function for primitives from SCCP User. More...
int | osmo_sccp_user_sap_down (struct osmo_sccp_user *scu, struct osmo_prim_hdr *oph)
| Main entrance function for primitives from SCCP User. More...

## Variables
const struct value_string | osmo_scu_prim_type_names []
static char | prim_name_buf [128]
const struct value_string | osmo_xlm_prim_names []
const struct value_string | osmo_sccp_routing_ind_names []
const struct value_string | osmo_sccp_gti_names []
const struct value_string | osmo_sccp_sp_status_names []
const struct value_string | osmo_sccp_rem_sccp_status_names []
const struct value_string | osmo_sccp_ssn_names []
static const struct osmo_prim_event_map | scu_scoc_event_map []

## Function Documentation

## ◆ osmo_sccp_user_sap_down()

int osmo_sccp_user_sap_down | ( | struct osmo_sccp_user * | scu,
|  | struct osmo_prim_hdr * | oph
| ) |  |

Main entrance function for primitives from SCCP User.

Implies a msgb_free(oph->msg), otherwise the same as osmo_sccp_user_sap().

Parameters

  [in] | scu | SCCP User sending us the primitive
  [in] | oph | Osmocom primitive sent by the user

Returns
  0 on success; negative on error

References osmo_scu_prim::oph, and osmo_sccp_user_sap_down_nofree().

Referenced by osmo_sccp_tx_conn_req(), osmo_sccp_tx_conn_resp_msg(), osmo_sccp_tx_data(), osmo_sccp_tx_disconn_data(), osmo_sccp_tx_unitdata(), and sccp_scmg_tx().

## ◆ osmo_sccp_user_sap_down_nofree()

int osmo_sccp_user_sap_down_nofree | ( | struct osmo_sccp_user * | scu,
|  | struct osmo_prim_hdr * | oph
| ) |  |

Main entrance function for primitives from SCCP User.

The caller is required to free oph->msg, otherwise the same as osmo_sccp_user_sap_down().

Parameters

  [in] | scu | SCCP User sending us the primitive
  [in] | oph | Osmocom primitive sent by the user

Returns
  0 on success; negative on error

References osmo_scu_connect_param::conn_id, osmo_scu_prim::connect, sccp_connection::fi, sccp_connection::inst, osmo_sccp_user::inst, LOGPSCU, osmo_scu_prim::oph, OSMO_SCU_PRIM_N_CONNECT, OSMO_SCU_PRIM_N_DATA, OSMO_SCU_PRIM_N_DISCONNECT, OSMO_SCU_PRIM_N_RESET, OSMO_SCU_PRIM_N_UNITDATA, osmo_scu_prim_name(), sccp_conn_alloc(), sccp_find_conn_by_id(), sccp_sclc_user_sap_down_nofree(), scu_prim_conn_id(), scu_scoc_event_map, and osmo_scu_prim::u.

Referenced by osmo_sccp_user_sap_down().

## ◆ osmo_scu_prim_hdr_name_buf()

int osmo_scu_prim_hdr_name_buf | ( | char * | buf,
|  | size_t | buflen,
|  | const struct osmo_prim_hdr * | oph
| ) |  |

References osmo_scu_prim_type_name().

Referenced by osmo_scu_prim_hdr_name_c(), and osmo_scu_prim_name().

## ◆ osmo_scu_prim_hdr_name_c()

char * osmo_scu_prim_hdr_name_c | ( | void * | ctx,
|  | const struct osmo_prim_hdr * | oph
| ) |  |

References osmo_scu_prim_hdr_name_buf().

## ◆ osmo_scu_prim_name()

char * osmo_scu_prim_name | ( | const struct osmo_prim_hdr * | oph | ) |

References osmo_scu_prim_hdr_name_buf(), and prim_name_buf.

Referenced by osmo_sccp_user_sap_down_nofree(), sccp_sclc_user_sap_down_nofree(), sccp_user_prim_up(), scmg_prim_cb(), xua_opt_data_cache_keep(), and xua_opt_data_check_drop().

## ◆ osmo_xlm_prim_name()

char * osmo_xlm_prim_name | ( | struct osmo_prim_hdr * | oph | ) |

References osmo_xlm_prim_names, and prim_name_buf.

Referenced by default_lm_prim_cb(), osmo_xlm_sap_down(), and xua_asp_send_xlm_prim().

## ◆ scu_prim_conn_id()

static uint32_t scu_prim_conn_id | ( | const struct osmo_scu_prim * | prim | ) |
| static

References osmo_scu_connect_param::conn_id, osmo_scu_data_param::conn_id, osmo_scu_disconn_param::conn_id, osmo_scu_reset_param::conn_id, osmo_scu_prim::connect, osmo_scu_prim::data, osmo_scu_prim::disconnect, osmo_scu_prim::oph, OSMO_SCU_PRIM_N_CONNECT, OSMO_SCU_PRIM_N_DATA, OSMO_SCU_PRIM_N_DISCONNECT, OSMO_SCU_PRIM_N_RESET, osmo_scu_prim::reset, and osmo_scu_prim::u.

Referenced by osmo_sccp_user_sap_down_nofree().

## Variable Documentation

## ◆ osmo_sccp_gti_names

const struct value_string osmo_sccp_gti_names[]

Initial value:
= {
{ OSMO_SCCP_GTI_NO_GT, "NO_GT" },
{ OSMO_SCCP_GTI_NAI_ONLY, "NAI_ONLY" },
{ OSMO_SCCP_GTI_TT_ONLY, "TT_ONLY" },
{ OSMO_SCCP_GTI_TT_NPL_ENC, "TT_NPL_ENC" },
{ OSMO_SCCP_GTI_TT_NPL_ENC_NAI, "TT_NPL_ENC_NAI" },
{ 0, NULL }
}
NULL
int and can be left NULL
Definition: osmo_ss7.h:353
OSMO_SCCP_GTI_TT_NPL_ENC_NAI
@ OSMO_SCCP_GTI_TT_NPL_ENC_NAI
Definition: sccp_sap.h:75
OSMO_SCCP_GTI_NAI_ONLY
@ OSMO_SCCP_GTI_NAI_ONLY
Definition: sccp_sap.h:72
OSMO_SCCP_GTI_TT_ONLY
@ OSMO_SCCP_GTI_TT_ONLY
Definition: sccp_sap.h:73
OSMO_SCCP_GTI_TT_NPL_ENC
@ OSMO_SCCP_GTI_TT_NPL_ENC
Definition: sccp_sap.h:74
OSMO_SCCP_GTI_NO_GT
@ OSMO_SCCP_GTI_NO_GT
Definition: sccp_sap.h:71

Referenced by osmo_sccp_gti_name().

## ◆ osmo_sccp_rem_sccp_status_names

const struct value_string osmo_sccp_rem_sccp_status_names[]

Initial value:
= {
{ OSMO_SCCP_REM_SCCP_S_AVAILABLE, "AVAILABLE" },
{ OSMO_SCCP_REM_SCCP_S_UNAVAILABLE_UNKNOWN, "UNAVAILABLE_UNKNOWN" },
{ OSMO_SCCP_REM_SCCP_S_UNEQUIPPED, "UNEQUIPPED" },
{ OSMO_SCCP_REM_SCCP_S_INACCESSIBLE, "INACCESSIBLE" },
{ OSMO_SCCP_REM_SCCP_S_CONGESTED, "CONGESTED" },
{}
}
OSMO_SCCP_REM_SCCP_S_UNEQUIPPED
@ OSMO_SCCP_REM_SCCP_S_UNEQUIPPED
Definition: sccp_sap.h:157
OSMO_SCCP_REM_SCCP_S_CONGESTED
@ OSMO_SCCP_REM_SCCP_S_CONGESTED
Definition: sccp_sap.h:159
OSMO_SCCP_REM_SCCP_S_INACCESSIBLE
@ OSMO_SCCP_REM_SCCP_S_INACCESSIBLE
Definition: sccp_sap.h:158
OSMO_SCCP_REM_SCCP_S_AVAILABLE
@ OSMO_SCCP_REM_SCCP_S_AVAILABLE
Definition: sccp_sap.h:155
OSMO_SCCP_REM_SCCP_S_UNAVAILABLE_UNKNOWN
@ OSMO_SCCP_REM_SCCP_S_UNAVAILABLE_UNKNOWN
Definition: sccp_sap.h:156

Referenced by osmo_sccp_rem_sccp_status_name().

## ◆ osmo_sccp_routing_ind_names

const struct value_string osmo_sccp_routing_ind_names[]

Initial value:
= {
{ OSMO_SCCP_RI_NONE, "NONE" },
{ OSMO_SCCP_RI_GT, "GT" },
{ OSMO_SCCP_RI_SSN_PC, "SSN_PC" },
{ OSMO_SCCP_RI_SSN_IP, "SSN_IP" },
{ 0, NULL }
}
OSMO_SCCP_RI_GT
@ OSMO_SCCP_RI_GT
Definition: sccp_sap.h:59
OSMO_SCCP_RI_NONE
@ OSMO_SCCP_RI_NONE
Definition: sccp_sap.h:58
OSMO_SCCP_RI_SSN_PC
@ OSMO_SCCP_RI_SSN_PC
Definition: sccp_sap.h:60
OSMO_SCCP_RI_SSN_IP
@ OSMO_SCCP_RI_SSN_IP
Definition: sccp_sap.h:61

Referenced by osmo_sccp_routing_ind_name().

## ◆ osmo_sccp_sp_status_names

const struct value_string osmo_sccp_sp_status_names[]

Initial value:
= {
{ OSMO_SCCP_SP_S_INACCESSIBLE, "INACCESSIBLE" },
{ OSMO_SCCP_SP_S_CONGESTED, "CONGESTED" },
{ OSMO_SCCP_SP_S_ACCESSIBLE, "ACCESSIBLE" },
{}
}
OSMO_SCCP_SP_S_CONGESTED
@ OSMO_SCCP_SP_S_CONGESTED
Definition: sccp_sap.h:143
OSMO_SCCP_SP_S_INACCESSIBLE
@ OSMO_SCCP_SP_S_INACCESSIBLE
Definition: sccp_sap.h:142
OSMO_SCCP_SP_S_ACCESSIBLE
@ OSMO_SCCP_SP_S_ACCESSIBLE
Definition: sccp_sap.h:144

Referenced by osmo_sccp_sp_status_name().

## ◆ osmo_sccp_ssn_names

const struct value_string osmo_sccp_ssn_names[]

Initial value:
= {
{ OSMO_SCCP_SSN_MGMT, "MGMT" },
{ OSMO_SCCP_SSN_ISUP, "ISUP" },
{ OSMO_SCCP_SSN_OMAP, "OMAP" },
{ OSMO_SCCP_SSN_MAP, "MAP" },
{ OSMO_SCCP_SSN_HLR, "HLR" },
{ OSMO_SCCP_SSN_VLR, "VLR" },
{ OSMO_SCCP_SSN_MSC, "MSC" },
{ OSMO_SCCP_SSN_EIR, "EIR" },
{ OSMO_SCCP_SSN_AUC, "AUC" },
{ OSMO_SCCP_SSN_ISDN_SS, "ISDN_SS" },
{ OSMO_SCCP_SSN_RES_INTL, "RES_INTL" },
{ OSMO_SCCP_SSN_BISDN, "BISDN" },
{ OSMO_SCCP_SSN_TC_TEST, "TC_TEST" },
{ OSMO_SCCP_SSN_RANAP, "RANAP" },
{ OSMO_SCCP_SSN_RNSAP, "RNSAP" },
{ OSMO_SCCP_SSN_GMLC_MAP, "GMLC_MAP" },
{ OSMO_SCCP_SSN_CAP, "CAP" },
{ OSMO_SCCP_SSN_gsmSCF_MAP, "gsmSCF_MAP" },
{ OSMO_SCCP_SSN_SIWF_MAP, "SIWF_MAP" },
{ OSMO_SCCP_SSN_SGSN_MAP, "SGSN_MAP" },
{ OSMO_SCCP_SSN_GGSN_MAP, "GGSN_MAP" },
{ OSMO_SCCP_SSN_PCAP, "PCAP" },
{ OSMO_SCCP_SSN_BSC_BSSAP_LE, "BSC_BSSAP_LE" },
{ OSMO_SCCP_SSN_MSC_BSSAP_LE, "MSC_BSSAP_LE" },
{ OSMO_SCCP_SSN_SMLC_BSSAP, "SMLC_BSSAP" },
{ OSMO_SCCP_SSN_BSS_OAM, "BSS_OAM" },
{ OSMO_SCCP_SSN_BSSAP, "BSSAP" },
{ 0, NULL }
}
OSMO_SCCP_SSN_SMLC_BSSAP
#define OSMO_SCCP_SSN_SMLC_BSSAP
Definition: sccp_sap.h:169
OSMO_SCCP_SSN_BSC_BSSAP_LE
@ OSMO_SCCP_SSN_BSC_BSSAP_LE
Definition: sccp_sap.h:133
OSMO_SCCP_SSN_ISUP
@ OSMO_SCCP_SSN_ISUP
Definition: sccp_sap.h:109
OSMO_SCCP_SSN_RES_INTL
@ OSMO_SCCP_SSN_RES_INTL
Definition: sccp_sap.h:119
OSMO_SCCP_SSN_MSC_BSSAP_LE
@ OSMO_SCCP_SSN_MSC_BSSAP_LE
Definition: sccp_sap.h:134
OSMO_SCCP_SSN_HLR
@ OSMO_SCCP_SSN_HLR
Definition: sccp_sap.h:112
OSMO_SCCP_SSN_SGSN_MAP
@ OSMO_SCCP_SSN_SGSN_MAP
Definition: sccp_sap.h:129
OSMO_SCCP_SSN_VLR
@ OSMO_SCCP_SSN_VLR
Definition: sccp_sap.h:113
OSMO_SCCP_SSN_RANAP
@ OSMO_SCCP_SSN_RANAP
Definition: sccp_sap.h:123
OSMO_SCCP_SSN_gsmSCF_MAP
@ OSMO_SCCP_SSN_gsmSCF_MAP
Definition: sccp_sap.h:127
OSMO_SCCP_SSN_MSC
@ OSMO_SCCP_SSN_MSC
Definition: sccp_sap.h:114
OSMO_SCCP_SSN_GMLC_MAP
@ OSMO_SCCP_SSN_GMLC_MAP
Definition: sccp_sap.h:125
OSMO_SCCP_SSN_BSSAP
@ OSMO_SCCP_SSN_BSSAP
Definition: sccp_sap.h:137
OSMO_SCCP_SSN_ISDN_SS
@ OSMO_SCCP_SSN_ISDN_SS
Definition: sccp_sap.h:118
OSMO_SCCP_SSN_MAP
@ OSMO_SCCP_SSN_MAP
Definition: sccp_sap.h:111
OSMO_SCCP_SSN_GGSN_MAP
@ OSMO_SCCP_SSN_GGSN_MAP
Definition: sccp_sap.h:130
OSMO_SCCP_SSN_EIR
@ OSMO_SCCP_SSN_EIR
Definition: sccp_sap.h:115
OSMO_SCCP_SSN_CAP
@ OSMO_SCCP_SSN_CAP
Definition: sccp_sap.h:126
OSMO_SCCP_SSN_TC_TEST
@ OSMO_SCCP_SSN_TC_TEST
Definition: sccp_sap.h:121
OSMO_SCCP_SSN_RNSAP
@ OSMO_SCCP_SSN_RNSAP
Definition: sccp_sap.h:124
OSMO_SCCP_SSN_PCAP
@ OSMO_SCCP_SSN_PCAP
Definition: sccp_sap.h:132
OSMO_SCCP_SSN_AUC
@ OSMO_SCCP_SSN_AUC
Definition: sccp_sap.h:116
OSMO_SCCP_SSN_OMAP
@ OSMO_SCCP_SSN_OMAP
Definition: sccp_sap.h:110
OSMO_SCCP_SSN_BISDN
@ OSMO_SCCP_SSN_BISDN
Definition: sccp_sap.h:120
OSMO_SCCP_SSN_BSS_OAM
@ OSMO_SCCP_SSN_BSS_OAM
Definition: sccp_sap.h:136
OSMO_SCCP_SSN_SIWF_MAP
@ OSMO_SCCP_SSN_SIWF_MAP
Definition: sccp_sap.h:128
OSMO_SCCP_SSN_MGMT
@ OSMO_SCCP_SSN_MGMT
Definition: sccp_sap.h:108

Referenced by osmo_sccp_ssn_name().

## ◆ osmo_scu_prim_type_names

const struct value_string osmo_scu_prim_type_names[]

Initial value:
= {
{ OSMO_SCU_PRIM_N_CONNECT, "N-CONNECT" },
{ OSMO_SCU_PRIM_N_DATA, "N-DATA" },
{ OSMO_SCU_PRIM_N_EXPEDITED_DATA, "N-EXPEDITED-DATA" },
{ OSMO_SCU_PRIM_N_DISCONNECT, "N-DISCONNECT" },
{ OSMO_SCU_PRIM_N_RESET, "N-RESET" },
{ OSMO_SCU_PRIM_N_INFORM, "N-INFORM" },
{ OSMO_SCU_PRIM_N_UNITDATA, "N-UNITDATA" },
{ OSMO_SCU_PRIM_N_NOTICE, "N-NOTICE" },
{ OSMO_SCU_PRIM_N_COORD, "N-COORD" },
{ OSMO_SCU_PRIM_N_STATE, "N-STATE" },
{ OSMO_SCU_PRIM_N_PCSTATE, "N-PCSTATE" },
{ 0, NULL }
}
OSMO_SCU_PRIM_N_CONNECT
@ OSMO_SCU_PRIM_N_CONNECT
Definition: sccp_sap.h:34
OSMO_SCU_PRIM_N_NOTICE
@ OSMO_SCU_PRIM_N_NOTICE
Definition: sccp_sap.h:42
OSMO_SCU_PRIM_N_INFORM
@ OSMO_SCU_PRIM_N_INFORM
Definition: sccp_sap.h:39
OSMO_SCU_PRIM_N_RESET
@ OSMO_SCU_PRIM_N_RESET
Definition: sccp_sap.h:38
OSMO_SCU_PRIM_N_UNITDATA
@ OSMO_SCU_PRIM_N_UNITDATA
Definition: sccp_sap.h:41
OSMO_SCU_PRIM_N_PCSTATE
@ OSMO_SCU_PRIM_N_PCSTATE
Definition: sccp_sap.h:46
OSMO_SCU_PRIM_N_EXPEDITED_DATA
@ OSMO_SCU_PRIM_N_EXPEDITED_DATA
Definition: sccp_sap.h:36
OSMO_SCU_PRIM_N_STATE
@ OSMO_SCU_PRIM_N_STATE
Definition: sccp_sap.h:45
OSMO_SCU_PRIM_N_DISCONNECT
@ OSMO_SCU_PRIM_N_DISCONNECT
Definition: sccp_sap.h:37
OSMO_SCU_PRIM_N_DATA
@ OSMO_SCU_PRIM_N_DATA
Definition: sccp_sap.h:35
OSMO_SCU_PRIM_N_COORD
@ OSMO_SCU_PRIM_N_COORD
Definition: sccp_sap.h:44

Referenced by osmo_scu_prim_type_name().

## ◆ osmo_xlm_prim_names

const struct value_string osmo_xlm_prim_names[]

Initial value:
= {
{ OSMO_XLM_PRIM_M_SCTP_ESTABLISH, "M-SCTP_ESTABLISH" },
{ OSMO_XLM_PRIM_M_SCTP_RELEASE, "M-SCTP_RELEASE" },
{ OSMO_XLM_PRIM_M_SCTP_RESTART, "M-SCTP_RESTART" },
{ OSMO_XLM_PRIM_M_SCTP_STATUS, "M-SCTP_STATUS" },
{ OSMO_XLM_PRIM_M_ASP_STATUS, "M-ASP_STATUS" },
{ OSMO_XLM_PRIM_M_AS_STATUS, "M-AS_STATUS" },
{ OSMO_XLM_PRIM_M_NOTIFY, "M-NOTIFY" },
{ OSMO_XLM_PRIM_M_ERROR, "M-ERROR" },
{ OSMO_XLM_PRIM_M_ASP_UP, "M-ASP_UP" },
{ OSMO_XLM_PRIM_M_ASP_DOWN, "M-ASP_DOWN" },
{ OSMO_XLM_PRIM_M_ASP_ACTIVE, "M-ASP_ACTIVE" },
{ OSMO_XLM_PRIM_M_ASP_INACTIVE, "M-ASP_INACTIVE" },
{ OSMO_XLM_PRIM_M_AS_ACTIVE, "M-AS_ACTIVE" },
{ OSMO_XLM_PRIM_M_AS_INACTIVE, "M-AS_INACTIVE" },
{ OSMO_XLM_PRIM_M_AS_DOWN, "M-AS_DOWN" },
{ OSMO_XLM_PRIM_M_RK_REG, "M-RK_REG" },
{ OSMO_XLM_PRIM_M_RK_DEREG, "M-RK_DEREG" },
{ 0, NULL },
}
OSMO_XLM_PRIM_M_ASP_STATUS
@ OSMO_XLM_PRIM_M_ASP_STATUS
Definition: sigtran_sap.h:19
OSMO_XLM_PRIM_M_AS_ACTIVE
@ OSMO_XLM_PRIM_M_AS_ACTIVE
Definition: sigtran_sap.h:27
OSMO_XLM_PRIM_M_ASP_DOWN
@ OSMO_XLM_PRIM_M_ASP_DOWN
Definition: sigtran_sap.h:24
OSMO_XLM_PRIM_M_SCTP_RELEASE
@ OSMO_XLM_PRIM_M_SCTP_RELEASE
Definition: sigtran_sap.h:16
OSMO_XLM_PRIM_M_ASP_ACTIVE
@ OSMO_XLM_PRIM_M_ASP_ACTIVE
Definition: sigtran_sap.h:25
OSMO_XLM_PRIM_M_RK_DEREG
@ OSMO_XLM_PRIM_M_RK_DEREG
Definition: sigtran_sap.h:32
OSMO_XLM_PRIM_M_ASP_INACTIVE
@ OSMO_XLM_PRIM_M_ASP_INACTIVE
Definition: sigtran_sap.h:26
OSMO_XLM_PRIM_M_SCTP_RESTART
@ OSMO_XLM_PRIM_M_SCTP_RESTART
Definition: sigtran_sap.h:17
OSMO_XLM_PRIM_M_ERROR
@ OSMO_XLM_PRIM_M_ERROR
Definition: sigtran_sap.h:22
OSMO_XLM_PRIM_M_SCTP_ESTABLISH
@ OSMO_XLM_PRIM_M_SCTP_ESTABLISH
Definition: sigtran_sap.h:15
OSMO_XLM_PRIM_M_SCTP_STATUS
@ OSMO_XLM_PRIM_M_SCTP_STATUS
Definition: sigtran_sap.h:18
OSMO_XLM_PRIM_M_RK_REG
@ OSMO_XLM_PRIM_M_RK_REG
Definition: sigtran_sap.h:31
OSMO_XLM_PRIM_M_AS_DOWN
@ OSMO_XLM_PRIM_M_AS_DOWN
Definition: sigtran_sap.h:29
OSMO_XLM_PRIM_M_ASP_UP
@ OSMO_XLM_PRIM_M_ASP_UP
Definition: sigtran_sap.h:23
OSMO_XLM_PRIM_M_NOTIFY
@ OSMO_XLM_PRIM_M_NOTIFY
Definition: sigtran_sap.h:21
OSMO_XLM_PRIM_M_AS_STATUS
@ OSMO_XLM_PRIM_M_AS_STATUS
Definition: sigtran_sap.h:20
OSMO_XLM_PRIM_M_AS_INACTIVE
@ OSMO_XLM_PRIM_M_AS_INACTIVE
Definition: sigtran_sap.h:28

Referenced by osmo_xlm_prim_name().

## ◆ prim_name_buf

char prim_name_buf[128]
| static

Referenced by osmo_scu_prim_name(), and osmo_xlm_prim_name().

## ◆ scu_scoc_event_map

const struct osmo_prim_event_map scu_scoc_event_map[]
| static

Initial value:
= {
{ SCCP_SAP_USER, OSMO_SCU_PRIM_N_CONNECT, PRIM_OP_REQUEST,
SCOC_E_SCU_N_CONN_REQ },
{ SCCP_SAP_USER, OSMO_SCU_PRIM_N_CONNECT, PRIM_OP_RESPONSE,
SCOC_E_SCU_N_CONN_RESP },
{ SCCP_SAP_USER, OSMO_SCU_PRIM_N_DATA, PRIM_OP_REQUEST,
SCOC_E_SCU_N_DATA_REQ },
{ SCCP_SAP_USER, OSMO_SCU_PRIM_N_DISCONNECT, PRIM_OP_REQUEST,
SCOC_E_SCU_N_DISC_REQ },
{ SCCP_SAP_USER, OSMO_SCU_PRIM_N_EXPEDITED_DATA, PRIM_OP_REQUEST,
SCOC_E_SCU_N_EXP_DATA_REQ },
{ 0, 0, 0, OSMO_NO_EVENT }
}
SCOC_E_SCU_N_DISC_REQ
@ SCOC_E_SCU_N_DISC_REQ
Definition: sccp_scoc_fsm.h:22
SCOC_E_SCU_N_CONN_RESP
@ SCOC_E_SCU_N_CONN_RESP
Definition: sccp_scoc_fsm.h:21
SCOC_E_SCU_N_DATA_REQ
@ SCOC_E_SCU_N_DATA_REQ
Definition: sccp_scoc_fsm.h:23
SCOC_E_SCU_N_CONN_REQ
@ SCOC_E_SCU_N_CONN_REQ
Definition: sccp_scoc_fsm.h:20
SCOC_E_SCU_N_EXP_DATA_REQ
@ SCOC_E_SCU_N_EXP_DATA_REQ
Definition: sccp_scoc_fsm.h:24
SCCP_SAP_USER
@ SCCP_SAP_USER
Definition: sigtran_sap.h:7

Referenced by osmo_sccp_user_sap_down_nofree().